import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class AutocompleteComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _req;
    private _el;
    private _translateService;
    private _sharedService;
    constructor(_req: ReqHttpService, _el: ElementRef, _translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    autocomplete: ElementRef;
    listautocomplete: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    dataSource: string;
    css: string;
    styleCss: string;
    placeholder: string;
    label: string;
    text: string[];
    textSeparator: string;
    reqIndexKey: string;
    disabled: boolean;
    readonly: boolean;
    _columns: any;
    columns: any;
    onClick: EventEmitter<{}>;
    onBlur: EventEmitter<{}>;
    onKeyup: EventEmitter<{}>;
    _dataSource: any[];
    dataAutocomplete: any[];
    randomId: string;
    labelWidth: string;
    isNotMasterDetail: boolean;
    value: any;
    _label: any;
    ngOnInit(): void;
    getTranslate(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    reqService(): void;
    itemClicado(event: any): void;
    blur($event: any): void;
    keyup($event: any): void;
}
