import { EventEmitter } from "@angular/core";
import { ActivatedRoute, ActivatedRouteSnapshot, Router } from "@angular/router";
import { IBreadcrumbs } from "../../interfaces/IBreadcrumbs";
export declare class BreadcrumbCrudComponent {
    private _router;
    private _activatedRoute;
    static breadcrumbAlterado: EventEmitter<{}>;
    breadcrumbs: IBreadcrumbs[];
    css: string;
    constructor(_router: Router, _activatedRoute: ActivatedRoute);
    navegar(breadcrumb: any): void;
    ngOnInit(): void;
    parseRoute(node: ActivatedRouteSnapshot): void;
}
