import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class CheckboxComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    checkbox: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    private privateLabel;
    label: string;
    checked: boolean;
    css: string;
    styleCss: string;
    notnull: false;
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    onClick: string;
    _onClick: EventEmitter<{}>;
    randomClass: number;
    inputValid: boolean;
    value: any;
    _label: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getTranslate(): void;
    itemClicado(): void;
    validRadio($value: any): void;
}
