import { OnInit, QueryList } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { DragComponent } from './drag.component';
import { DropComponent } from './drop.component';
import { Subscription } from 'rxjs';
export declare class DragDropContentComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    constructor();
    securityId: string;
    id: string;
    dropSbuscribe: Subscription;
    dropSbuscribeTwo: Subscription;
    dragComponent: QueryList<DragComponent>;
    dropComponent: QueryList<DropComponent>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
