import { EventEmitter, Renderer, ElementRef } from '@angular/core';
import { ReqHttpService } from '../../services/req-http.service';
import { Router, ActivatedRoute } from '@angular/router';
import { AbstractFormComponents } from './abstractFormComponents';
export declare class FormComponent extends AbstractFormComponents {
    private _http;
    private _router;
    private _activatedRoute;
    private _renderer;
    private _el;
    constructor(_http: ReqHttpService, _router: Router, _activatedRoute: ActivatedRoute, _renderer: Renderer, _el: ElementRef);
    crudForm: ElementRef;
    modelsForm: any;
    _submit: EventEmitter<{}>;
    submit: string;
    valign: string;
    halign: string;
    noErrosForm: boolean;
    objectFormData: any;
    submitForm($data: any): void;
    ngAfterViewInit(): void;
}
