"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var req_http_service_1 = require("../../services/req-http.service");
var router_1 = require("@angular/router");
var abstractFormComponents_1 = require("./abstractFormComponents");
var FormComponent = (function (_super) {
    __extends(FormComponent, _super);
    function FormComponent(_http, _router, _activatedRoute, _renderer, _el) {
        var _this = _super.call(this, _http) || this;
        _this._http = _http;
        _this._router = _router;
        _this._activatedRoute = _activatedRoute;
        _this._renderer = _renderer;
        _this._el = _el;
        _this._submit = new core_1.EventEmitter();
        _this.submit = '';
        _this.valign = '';
        _this.halign = '';
        _this.noErrosForm = true;
        return _this;
    }
    FormComponent.prototype.submitForm = function ($data) {
        _super.prototype.addFormControls.call(this, $data);
        this._submit.emit(_super.prototype.getObject.call(this));
        if (this.submit != '') {
            window[this.submit](_super.prototype.getObject.call(this));
        }
    };
    FormComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            $(_this.crudForm.nativeElement).children().each(function (index, element) {
                $(element).addClass(_this.halign);
            });
        });
    };
    return FormComponent;
}(abstractFormComponents_1.AbstractFormComponents));
FormComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-form',
                template: "\n        <form #crudForm #f='ngForm' (ngSubmit)=\"submitForm(f)\">\n            <ng-content></ng-content>\n        </form>\n    "
            },] },
];
/** @nocollapse */
FormComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: router_1.Router, },
    { type: router_1.ActivatedRoute, },
    { type: core_1.Renderer, },
    { type: core_1.ElementRef, },
]; };
FormComponent.propDecorators = {
    'crudForm': [{ type: core_1.ViewChild, args: ['crudForm',] },],
    '_submit': [{ type: core_1.Output },],
    'submit': [{ type: core_1.Input },],
    'valign': [{ type: core_1.Input },],
    'halign': [{ type: core_1.Input },],
};
exports.FormComponent = FormComponent;
