import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from "../../../models/sharedService";
import { ReqHttpService } from "../../../services/req-http.service";
export declare class InputCepComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _http;
    private _reqHttp;
    private _sharedService;
    private _translateService;
    constructor(_http: Http, _reqHttp: ReqHttpService, _sharedService: SharedService, _translateService: TranslateService);
    traducao: any;
    inputCep: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    placeholder: string;
    private privateLabel;
    label: string;
    css: string;
    styleCss: string;
    disabled: boolean;
    readonly: boolean;
    notnull: boolean;
    _columns: any;
    columns: any;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    _onClick: EventEmitter<any>;
    onBlur: string;
    onKeyup: string;
    onClick: string;
    isNotMasterDetail: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    inputValid: boolean;
    value: any;
    validationsMsg: any;
    _label: any;
    getTranslate(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    itemClicado(): void;
    regex(value: string): boolean;
    blur($event: any): void;
    keyup($event: any): void;
}
