import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../../models/sharedService';
export declare class InputCnpjComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    private _sharedService;
    constructor(_translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    inputCnpj: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    placeholder: string;
    private privateLabel;
    label: string;
    css: string;
    notnull: boolean;
    styleCss: string;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    _columns: any;
    columns: any;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    isNotMasterDetail: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    inputValid: boolean;
    value: any;
    _label: any;
    inputChange(event: any): void;
    keyup($event: any): void;
    ngOnInit(): void;
    getTranslate(): void;
    ngAfterViewInit(): void;
}
