import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { AbstractNgModel } from "../../../models/abstract.ngmodel";
import { IComponentDefault } from "../../../interfaces/IComponentDefault";
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../../models/sharedService";
export declare class InputMaskComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _sharedService;
    private _translateService;
    constructor(_sharedService: SharedService, _translateService: TranslateService);
    traducao: any;
    inputMask: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    placeholder: string;
    private privateLabel;
    label: string;
    mask: string;
    css: string;
    styleCss: string;
    notnull: boolean;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    _columns: any;
    columns: any;
    isNotMasterDetail: boolean;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    inputValid: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    value: any;
    validationsMsg: any;
    _label: any;
    isNotBlank(value: any): any;
    validInput(retorno: any): void;
    keyup($event: any): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    getTranslate(): void;
}
