"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../../models/abstract.ngmodel");
var core_2 = require("@ngx-translate/core");
var pt_1 = require("../../../mocks/i18n/pt");
var fr_1 = require("../../../mocks/i18n/fr");
var en_1 = require("../../../mocks/i18n/en");
var i18n_1 = require("../../../models/i18n");
var sharedService_1 = require("../../../models/sharedService");
var InputPasswordComponent = (function (_super) {
    __extends(InputPasswordComponent, _super);
    function InputPasswordComponent(_sharedService, _translateService) {
        var _this = _super.call(this) || this;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.attribute = '';
        _this.placeholder = 'Informe um valor';
        _this.css = 'sbm-input';
        _this.notnull = false;
        _this.maxLength = '';
        _this.minLength = '';
        _this.isNotMasterDetail = true;
        _this._columns = 'input-field col l12 m12 s12 crud-form-dynamic';
        _this.styleCss = '';
        _this._onBlur = new core_1.EventEmitter();
        _this._onKeyup = new core_1.EventEmitter();
        _this.onBlur = '';
        _this.onKeyup = '';
        _this.disabled = false;
        _this.readonly = false;
        _this.inputValid = true;
        _this.msgError = 'Campo Incorreto';
        _this.randomId = '';
        _this.labelWidth = '';
        _this._label = '';
        _this.validationsMsg = {
            require: null,
            minLength: null,
            maxLength: null
        };
        _this.traducao = new i18n_1.i18n(_translateService, _sharedService);
        _this.traducao.pJson = _this._sharedService.getPackagedJson();
        _this.traducao.reqEN = en_1.reqEN[0];
        _this.traducao.reqFR = fr_1.reqFR[0];
        _this.traducao.reqPT = pt_1.reqPT[0];
        _this.traducao.iniciarIdioma();
        sbmInputPasswordComponent.push(_this);
        return _this;
        /*this._translateService.onLangChange.subscribe(ret => {
            this.validationsMsg['require'] = ret.translations['i18n'][this.traducao.pJson['name']].validations.fieldRequire;
            this.validationsMsg['minLength'] = ret.translations['i18n'][this.traducao.pJson['name']].validations.fieldMinLength;
            this.validationsMsg['maxLength'] = ret.translations['i18n'][this.traducao.pJson['name']].validations.fieldMaxLength;
            this.validationsMsg['pattern'] = ret.translations['i18n'][this.traducao.pJson['name']].validations.pattern;
            this.msgError = ret.translations['i18n'][this.traducao.pJson['name']].validations.fieldErrorDefault;

            this.getTranslate();
        });*/
    }
    Object.defineProperty(InputPasswordComponent.prototype, "label", {
        get: function () {
            return this.privateLabel;
        },
        set: function (val) {
            this.privateLabel = val;
            var packageNpm = require('../../../../../package.json');
            if (val.substring(0, 1) == '#') {
                this._label = this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name][val.replace('#', '')];
            }
            else {
                if (val.substring(0, 5) == 'i18n.') {
                    if (eval(this._translateService.translations[this._translateService.currentLang])) {
                        var colLabel = val.replace("i18n.", "").split('.');
                        var caminhoTraducao = "this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name]";
                        for (var i = 0; i < colLabel.length; i++) {
                            caminhoTraducao += "['" + colLabel[i] + "']";
                        }
                        this._label = eval(caminhoTraducao);
                    }
                }
                else {
                    this._label = val;
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputPasswordComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "input-field col l" + value + " s12 m12 crud-form-dynamic";
        },
        enumerable: true,
        configurable: true
    });
    InputPasswordComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
        this.randomId = 'sbm-input-' + (Math.floor((Math.random() * 100000) + 1));
    };
    InputPasswordComponent.prototype.getTranslate = function () {
        var packageNpm = require('../../../../../package.json');
        if (this.label.substring(0, 1) == '#') {
            this._label = this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name][this.label.replace('#', '')];
        }
        else {
            if (this.label.substring(0, 5) == 'i18n.') {
                if (eval(this._translateService.translations[this._translateService.currentLang])) {
                    var colLabel = this.label.replace("i18n.", "").split('.');
                    var caminhoTraducao = "this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name]";
                    for (var i = 0; i < colLabel.length; i++) {
                        caminhoTraducao += "['" + colLabel[i] + "']";
                    }
                    this._label = eval(caminhoTraducao);
                }
            }
            else {
                this._label = this.label;
            }
        }
    };
    InputPasswordComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            $(_this.inputPassword.nativeElement).attr('style', _this.styleCss);
        });
    };
    InputPasswordComponent.prototype.keyupFunction = function ($event) {
        this._onKeyup.emit($event);
        var value = $event.target.value;
        if (this.minLength != '') {
            if (value.length < parseInt(this.minLength)) {
                this.inputValid = false;
            }
            else {
                this.inputValid = true;
            }
        }
        if (this.onKeyup != '') {
            window[this.onKeyup]($event);
            // sbmExecuteFunctions($event, this._onKeyup);
        }
    };
    InputPasswordComponent.prototype.validInput = function (retorno) {
        var value = retorno.target.value;
        if (this.notnull && value.length == 0) {
            this.inputValid = false;
            $(this.inputPassword.nativeElement).removeClass('valid');
            $(this.inputPassword.nativeElement).addClass('invalid');
            this.msgError = 'Campo Obrigatório';
        }
        else {
            if (value.length < parseInt(this.minLength)) {
                this.msgError = "O campo deve ter no m\u00EDnimo " + this.minLength + " caracteres";
                $(this.inputPassword.nativeElement).removeClass('valid');
                $(this.inputPassword.nativeElement).addClass('invalid');
            }
            else {
                $(this.inputPassword.nativeElement).removeClass('invalid');
                $(this.inputPassword.nativeElement).addClass('valid');
                this.inputValid = true;
            }
        }
        this._onBlur.emit(retorno);
        if (this.onBlur != '') {
            window[this.onBlur](retorno);
            // sbmExecuteFunctions($event, this._onKeyup);
        }
    };
    return InputPasswordComponent;
}(abstract_ngmodel_1.AbstractNgModel));
InputPasswordComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-input-password',
                template: "\n         <input id=\"{{randomId}}\" #inputPassword type=\"password\" class=\"sbm-text-field {{css}}\" [(ngModel)]=\"value\" (blur)=\"validInput($event)\"\n          [maxlength]=\"maxLength\" [hidden]=\"!exibirComponente\" (keyup)='keyupFunction($event)' [attr.style]='styleCss'\n          [disabled]=\"disabled\" [readonly]=\"readonly\">\n          <label class=\"truncate sbm-label active\" for=\"{{randomId}}\">{{_label}}</label>\n          \n          <span *ngIf=\"!inputValid\" class=\"msgError\">{{msgError}}</span>\n    ",
                host: {
                    '[class]': 'columns'
                },
                providers: [abstract_ngmodel_1.MakeProvider(InputPasswordComponent)]
            },] },
];
/** @nocollapse */
InputPasswordComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
]; };
InputPasswordComponent.propDecorators = {
    'inputPassword': [{ type: core_1.ViewChild, args: ['inputPassword',] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'attribute': [{ type: core_1.Input },],
    'placeholder': [{ type: core_1.Input },],
    'label': [{ type: core_1.Input },],
    'css': [{ type: core_1.Input },],
    'notnull': [{ type: core_1.Input, args: ['require',] },],
    'maxLength': [{ type: core_1.Input },],
    'minLength': [{ type: core_1.Input },],
    'columns': [{ type: core_1.Input },],
    'styleCss': [{ type: core_1.Input },],
    '_onBlur': [{ type: core_1.Output },],
    '_onKeyup': [{ type: core_1.Output },],
    'onBlur': [{ type: core_1.Input },],
    'onKeyup': [{ type: core_1.Input },],
    'disabled': [{ type: core_1.Input },],
    'readonly': [{ type: core_1.Input },],
};
exports.InputPasswordComponent = InputPasswordComponent;
