import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { AbstractNgModel } from "../../../models/abstract.ngmodel";
import { IComponentDefault } from "../../../interfaces/IComponentDefault";
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../../models/sharedService";
import { Subscription } from 'rxjs';
import { I18nTranslate } from "../../../services/i18nTranslate";
export declare class InputTextComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _sharedService;
    private _i18nTranslate;
    private _translateService;
    constructor(_el: ElementRef, _sharedService: SharedService, _i18nTranslate: I18nTranslate, _translateService: TranslateService);
    traducao: any;
    inputText: ElementRef;
    ngModelText: any;
    id: string;
    securityId: string;
    attribute: string;
    placeholder: string;
    css: string;
    notnull: boolean;
    maxLength: string;
    minLength: string;
    pattern: string;
    styleCss: string;
    digitText: string;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    private privateLabel;
    _label: string;
    label: string;
    _columns: any;
    columns: any;
    value: any;
    inputValid: boolean;
    labelWidth: string;
    msgError: string;
    isNotMasterDetail: boolean;
    randomId: string;
    validationsMsg: any;
    subscriptionValue: Subscription;
    isNotBlank(value: any): any;
    getTranslate(): void;
    regex(value: string): boolean;
    keyupFunction($event: any): void;
    validInput(retorno: any): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
