import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import 'rxjs/add/operator/map';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../../models/sharedService';
export declare class MoneyComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _translateService;
    private _sharedService;
    constructor(_translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    money: ElementRef;
    inputMoney: ElementRef;
    securityId: string;
    attribute: string;
    id: string;
    prefix: string;
    decimal: string;
    thousands: string;
    decimalDigits: string;
    digitAlign: string;
    placeholder: string;
    label: string;
    styleCss: string;
    onBlur: string;
    onKeyup: string;
    css: string;
    notnull: string;
    disabled: boolean;
    readonly: boolean;
    _columns: any;
    columns: any;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    isNotMasterDetail: boolean;
    _options: any;
    _valueChecked: boolean;
    inputValid: boolean;
    msgInvalid: boolean;
    randomId: string;
    labelWidth: string;
    msgError: string;
    value: any;
    _label: any;
    blur($event: any): void;
    ngAfterViewInit(): void;
    keyup($event: any): void;
    ngOnInit(): void;
    getTranslate(): void;
}
