import { EventEmitter, OnInit, QueryList, TemplateRef, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { IListview } from '../../interfaces/IListview';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class ListOptions {
    private el;
    constructor(el: ElementRef);
    idListOption: any;
    value: string;
    text: string;
    columnTemplate: TemplateRef<any>;
    ngOnInit(): void;
}
export declare class ListViewComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    private _sharedService;
    constructor(_translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    listOption: QueryList<ListOptions>;
    listOptionsEl: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    dataSource: IListview[];
    notnull: boolean;
    _dataSource: any;
    text: string;
    css: string;
    label: string;
    placeholder: string;
    itemsSelected: any[];
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    msgError: string;
    styleClass: string;
    filterList: any;
    checkedAll: boolean;
    selectionMultiple: boolean;
    _onClick: EventEmitter<{}>;
    _onRemove: EventEmitter<{}>;
    onClick: string;
    selectedItems: any[];
    randomClass: number;
    setValue: boolean;
    value: any[];
    _label: any;
    ngOnInit(): void;
    getTranslate(): void;
    keyupSearch(): void;
    selectItem(item: any): boolean;
    ngAfterViewInit(): void;
    allItems(all: any, items: any): void;
    noneItems(): void;
    ngAfterViewChecked(): void;
}
