import { EventEmitter, OnInit, QueryList, TemplateRef, ElementRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class RadioOptions {
    idRadioOption: any;
    value: string;
    columnTemplate: TemplateRef<any>;
    ngOnInit(): void;
}
export declare class RadioComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    radioOptions: QueryList<RadioOptions>;
    id: string;
    securityId: string;
    attribute: string;
    text: string;
    css: string;
    label: string;
    layout: any;
    dataSource: any[];
    placeholder: string;
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    _dataSource: any;
    _onClick: EventEmitter<{}>;
    onClick: string;
    notnull: boolean;
    inputValid: boolean;
    msgError: string;
    randomClass: number;
    value: any;
    _label: any;
    ngOnInit(): void;
    getTranslate(): void;
    setValue: (value: any) => void;
    itemClicado(itemAtual: any): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
}
export declare enum RadioEnumOrientation {
    horizontal = 0,
    vertical = 1,
}
