import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from "../../models/sharedService";
import { Subscription } from 'rxjs';
export declare class SelectComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _req;
    private _el;
    private _sharedService;
    private _translateService;
    constructor(_req: ReqHttpService, _el: ElementRef, _sharedService: SharedService, _translateService: TranslateService);
    traducao: any;
    combobox: ElementRef;
    id: string;
    securityId: string;
    private privateLabel;
    label: string;
    css: string;
    text: string[];
    textSeparator: string;
    reqIndexKey: string;
    valueField: string;
    actionButton: boolean;
    styleCss: string;
    notnull: boolean;
    urlButton: string;
    onClick: string;
    attribute: string;
    _columns: any;
    columns: any;
    private __dataSource;
    dataSource: any;
    _onClick: EventEmitter<{}>;
    onActionButtons: EventEmitter<{}>;
    static _onActionButtons: EventEmitter<{}>;
    _resSucess: EventEmitter<{}>;
    _dataSource: any;
    inputValid: boolean;
    msgError: string;
    labelWidth: string;
    value: any;
    reqSucess: boolean;
    isNotMasterDetail: boolean;
    validationsMsg: any;
    randomNumber: any;
    randomId: any;
    _label: any;
    private errorService;
    valueSubscribe: Subscription;
    ngOnInit(): void;
    reqService(): void;
    setDataSource: any;
    setValue: any;
    openDrop(): void;
    closeDrop(): void;
    sendError(): void;
    ngAfterViewInit(): void;
    actionButtonEmit(filter: string): void;
    itemClicado(itemAtual: any, $event?: any): void;
    validInput(retorno: any): void;
    ngOnDestroy(): void;
}
