"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var TreeviewComponent = (function (_super) {
    __extends(TreeviewComponent, _super);
    function TreeviewComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = '';
        _this.securityId = '';
        _this.dataSource = [];
        _this.onClick = new core_1.EventEmitter();
        return _this;
    }
    TreeviewComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
    };
    TreeviewComponent.prototype.itemClicado = function (event) {
        if (!event.itemData.items) {
            this.onClick.emit(event.itemData);
        }
    };
    return TreeviewComponent;
}(abstract_ngmodel_1.AbstractNgModel));
TreeviewComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-treeview',
                // styles: ['.options { padding-top: 30px;}', '.options .dx-checkbox { margin-right: 15px;}',
                //         '#accordion h1 {font-size: 20px;}'],
                template: "\n        <dx-tree-view [dataSource]=\"dataSource\" dataStructure=\"plain\"\n              (onItemClick)='itemClicado($event)' [visible]='exibirComponente'></dx-tree-view>\n    "
            },] },
];
/** @nocollapse */
TreeviewComponent.ctorParameters = function () { return []; };
TreeviewComponent.propDecorators = {
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
    'onClick': [{ type: core_1.Output },],
};
exports.TreeviewComponent = TreeviewComponent;
