"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var FilterPipe = (function () {
    function FilterPipe() {
    }
    FilterPipe.prototype.transform = function (items, filter) {
        if (!items || !filter) {
            return items;
        }
        return items.filter(function (item) { return item.value.toString().indexOf(filter) !== -1; });
    };
    return FilterPipe;
}());
FilterPipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'sbmFilter'
            },] },
];
/** @nocollapse */
FilterPipe.ctorParameters = function () { return []; };
exports.FilterPipe = FilterPipe;
var SelectFilterPipe = (function () {
    function SelectFilterPipe() {
    }
    SelectFilterPipe.prototype.transform = function (items, filter) {
        if (!items || !filter) {
            return items;
        }
        var data = [];
        items.map(function (item) {
            var keys = Object.keys(item);
            for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
                var i = keys_1[_i];
                if (item[i] !== null && item[i].toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1) {
                    data.push(item);
                }
            }
        });
        return data;
    };
    return SelectFilterPipe;
}());
SelectFilterPipe.decorators = [
    { type: core_1.Pipe, args: [{
                name: 'selectFilter'
            },] },
];
/** @nocollapse */
SelectFilterPipe.ctorParameters = function () { return []; };
exports.SelectFilterPipe = SelectFilterPipe;
