import { TemplateRef } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class AccordionGroupComponent extends AbstractNgModel {
    private _translateService;
    private _sharedService;
    constructor(_translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    idAccordion: any;
    index: string;
    icon: string;
    private privateLabel;
    text: string;
    securityId: string;
    active: boolean;
    columnTemplate: TemplateRef<any>;
    _text: any;
    ngOnInit(): void;
    getTranslate(): void;
}
export declare enum AccordionEnum {
    primary = 0,
    success = 1,
    warning = 2,
    info = 3,
    danger = 4,
    default = 5,
}
