import { OnInit } from "@angular/core";
import { ActivatedRouteSnapshot, Router } from "@angular/router";
import { IComponentDefault } from "../../interfaces/IComponentDefault";
import { AbstractNgModel } from "../../models/abstract.ngmodel";
import { IBreadcrumbs } from "../../interfaces/IBreadcrumbs";
export declare class BreadcrumbComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _router;
    breadcrumbs: IBreadcrumbs[];
    id: string;
    securityId: string;
    css: string;
    constructor(_router: Router);
    ngOnInit(): void;
    navegar(breadcrumb: any): void;
    parseRoute(node: ActivatedRouteSnapshot): void;
}
