import { OnInit, EventEmitter, ElementRef, Renderer } from '@angular/core';
import { ReqHttpService } from '../../services/req-http.service';
import { ActivatedRoute, Router } from '@angular/router';
export declare class CrudComponent implements OnInit {
    private _http;
    private _router;
    private _activatedRoute;
    private _renderer;
    private _el;
    constructor(_http: ReqHttpService, _router: Router, _activatedRoute: ActivatedRoute, _renderer: Renderer, _el: ElementRef);
    entity: string;
    filter: string;
    masterDetail: boolean;
    selectItems: EventEmitter<{}>;
    onModels: EventEmitter<{}>;
    dataSource: any;
    selectedFilter: boolean;
    url: string;
    retornoParametros: any;
    setGrid: any;
    modelsForm: any;
    selectItem: any;
    colunas: any;
    crudFormAtive: boolean;
    addFormControl: boolean;
    formControlHidden: boolean;
    saveButton: boolean;
    buttonDisable: boolean;
    executedParameters: boolean;
    noErrosForm: boolean;
    selectFilter(event: any): void;
    retornoParametro(retorno: any): void;
    executarFiltro(): void;
    showParameters(hidden?: any): void;
    selectionData(event: any): void;
    ngOnInit(): void;
}
export declare enum CrudComponentEnum {
    default = 0,
    primary = 1,
    success = 2,
    danger = 3,
    warning = 4,
    info = 5,
}
