import { OnInit, ElementRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class FieldsetComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _sharedService;
    private _translateService;
    constructor(_el: ElementRef, _sharedService: SharedService, _translateService: TranslateService);
    traducao: any;
    fieldset: ElementRef;
    sbmFieldSetContent: ElementRef;
    id: string;
    securityId: string;
    private privateLabel;
    label: string;
    valign: string;
    halign: string;
    css: string;
    _columns: any;
    columns: any;
    textWidth: string;
    _label: any;
    ngOnInit(): void;
    getTranslate(): void;
    setContent: (content: any) => void;
    ngAfterViewInit(): void;
}
