import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../../models/abstract.ngmodel';
import { IComponentDefault } from '../../../interfaces/IComponentDefault';
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../../models/sharedService";
export declare class InputPasswordComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _sharedService;
    private _translateService;
    traducao: any;
    inputPassword: ElementRef;
    id: string;
    securityId: string;
    attribute: string;
    placeholder: string;
    private privateLabel;
    label: string;
    css: string;
    notnull: boolean;
    maxLength: string;
    minLength: string;
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    styleCss: string;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    onBlur: string;
    onKeyup: string;
    disabled: boolean;
    readonly: boolean;
    inputValid: boolean;
    msgError: string;
    randomId: string;
    labelWidth: string;
    _label: any;
    value: any;
    validationsMsg: any;
    constructor(_sharedService: SharedService, _translateService: TranslateService);
    ngOnInit(): void;
    getTranslate(): void;
    ngAfterViewInit(): void;
    keyupFunction($event: any): void;
    validInput(retorno: any): void;
}
