import { EventEmitter, OnInit } from '@angular/core';
import { ItemMenu } from '../../interfaces/ItemMenu';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
export declare class SubMenuComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    id: string;
    securityId: string;
    value: string;
    icon: string;
    ngOnInit(): void;
}
export declare class ItemMenuComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    id: string;
    securityId: string;
    label: string;
    icon: string;
    link: string;
    ngOnInit(): void;
}
export declare class MenuComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    id: string;
    securityId: string;
    dataSource: ItemMenu[];
    orientation: any;
    onClick: EventEmitter<{}>;
    randomClass: number;
    dataElement: any[];
    private _dataSource;
    ngOnInit(): void;
    recursiveElement(_element: any): ItemMenu;
    ngAfterViewInit(): void;
    itemClicado(itemAtual: any): void;
}
export declare enum MenuEnumOrientation {
    horizontal = 0,
    vertical = 1,
}
