import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { ReqHttpService } from '../../services/req-http.service';
import 'rxjs/add/operator/toPromise';
import { DxDataGridComponent } from 'devextreme-angular';
export declare class MonitorComponent implements OnInit {
    private fb;
    private _http;
    constructor(fb: FormBuilder, _http: ReqHttpService);
    monitor: DxDataGridComponent;
    dbEnumType: any;
    columns: any;
    pagination: number;
    select: string;
    gruping: boolean;
    source: any;
    selectedItem: any;
    monitorUrl: string;
    columnProgress: string;
    executeMonitorUrl: string;
    formInvalid: boolean;
    ngOnInit(): void;
    timeReload: {
        textTime: string;
        time: number;
    }[];
    datas: any;
    dataInicio(data: any): void;
    dataFim(data: any): void;
    reloadMonitor(event: any): void;
    formatDate(date: any): string;
    executeMonitor(dataInicial: any, dataFinal: any): void;
    valueDivider(value: number): number;
    ngDoCheck(): void;
}
