import { EventEmitter, OnInit, ElementRef } from '@angular/core';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
export declare class MultiselectComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _el;
    private _translateService;
    private _sharedService;
    constructor(_el: ElementRef, _translateService: TranslateService, _sharedService: SharedService);
    traducao: any;
    multiselect: ElementRef;
    securityId: string;
    attribute: string;
    id: string;
    css: string;
    placeholder: string;
    private privateLabel;
    label: string;
    isEmail: boolean;
    styleCss: string;
    isNotMasterDetail: boolean;
    _columns: any;
    columns: any;
    notnull: boolean;
    dataSource: any;
    _onBlur: EventEmitter<{}>;
    _onKeyup: EventEmitter<{}>;
    onBlur: string;
    onKeyup: string;
    inputValid: boolean;
    msgError: string;
    labelWidth: string;
    value: any;
    _label: any;
    ngOnInit(): void;
    getTranslate(): void;
    ngAfterViewInit(): void;
    addValue(value: any, e?: any): void;
    deleteItem(chip: any, e?: any): void;
    keyup($event: any): void;
    blur(data: any, element?: any): void;
}
