"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var req_http_service_1 = require("../../services/req-http.service");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var i18n_1 = require("../../models/i18n");
var en_1 = require("../../mocks/i18n/en");
var fr_1 = require("../../mocks/i18n/fr");
var pt_1 = require("../../mocks/i18n/pt");
var alert_component_1 = require("../alert/alert.component");
var SelectComponent = (function (_super) {
    __extends(SelectComponent, _super);
    function SelectComponent(_req, _el, _sharedService, _translateService) {
        var _this = _super.call(this) || this;
        _this._req = _req;
        _this._el = _el;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this.id = '';
        _this.securityId = '';
        _this.css = 'sbm-select';
        _this.text = ['text'];
        _this.textSeparator = '-';
        _this.reqIndexKey = 'data';
        _this.valueField = '';
        _this.actionButton = false;
        _this.styleCss = '';
        _this.notnull = false;
        _this.urlButton = '';
        _this.onClick = '';
        _this.attribute = '';
        _this._columns = 'col l12 s12 m12 crud-form-dynamic';
        _this._onClick = new core_1.EventEmitter();
        _this.onActionButtons = new core_1.EventEmitter();
        _this._resSucess = new core_1.EventEmitter();
        _this._dataSource = [];
        _this.inputValid = true;
        _this.msgError = 'Campo Incorreto';
        _this.labelWidth = '';
        _this.value = {};
        _this.reqSucess = false;
        _this.isNotMasterDetail = true;
        _this.validationsMsg = {
            require: null,
            serviceInvalid: null
        };
        _this.randomNumber = 0;
        _this.randomId = 0;
        _this._label = '';
        _this.setDataSource = function ($data) {
            if (typeof $data == 'object') {
                var req_1 = [];
                $data.map(function (a) {
                    a['labelText'] = '';
                    for (var count = 0; count < _this.text.length; count++) {
                        if (_this.text.length > 1) {
                            a['labelText'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                        }
                        else {
                            a['labelText'] = a[_this.text[count]];
                        }
                    }
                    req_1.push(a);
                });
                _this._dataSource = req_1;
            }
        };
        _this.setValue = function (value) {
            if ((typeof value == 'object' || typeof value == 'string') && value) {
                _this._dataSource.map(function (a) {
                    if (_this.valueField != '') {
                        if (a[_this.valueField] == value) {
                            _this.itemClicado(a);
                        }
                    }
                    else {
                        if (a[_this.text[0]] == value[_this.text[0]]) {
                            _this.itemClicado(a);
                        }
                    }
                });
            }
            else {
                _this.combobox.nativeElement.value = '';
            }
        };
        SbmSelectComponent.push(_this);
        _this.traducao = new i18n_1.i18n(_translateService, _sharedService);
        _this.traducao.pJson = _this._sharedService.getPackagedJson();
        _this.traducao.reqEN = en_1.reqEN[0];
        _this.traducao.reqFR = fr_1.reqFR[0];
        _this.traducao.reqPT = pt_1.reqPT[0];
        _this.traducao.iniciarIdioma();
        _this._translateService.onLangChange.subscribe(function (ret) {
            // this.validationsMsg['require'] = ret.translations['i18n'][this.traducao.pJson['name']]['validations']['fieldRequire'];
        });
        return _this;
    }
    Object.defineProperty(SelectComponent.prototype, "label", {
        get: function () {
            return this.privateLabel;
        },
        set: function (val) {
            this.privateLabel = val;
            var packageNpm = require('../../../../package.json');
            if (val.substring(0, 1) == '#') {
                this._label = this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name][val.replace('#', '')];
            }
            else {
                if (val.substring(0, 5) == 'i18n.') {
                    var colLabel = val.replace("i18n.", "").split('.');
                    var caminhoTraducao = "this._translateService.translations[this._translateService.currentLang].i18n[packageNpm.name]";
                    for (var i = 0; i < colLabel.length; i++) {
                        caminhoTraducao += "['" + colLabel[i] + "']";
                    }
                    this._label = eval(caminhoTraducao);
                }
                else {
                    this._label = val;
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SelectComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " s12 m12 crud-form-dynamic";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SelectComponent.prototype, "dataSource", {
        get: function () {
            return this.__dataSource;
        },
        set: function (val) {
            var _this = this;
            this.__dataSource = val;
            if (typeof val == 'object') {
                var req_2 = [];
                this.dataSource.map(function (a) {
                    a['labelText'] = '';
                    for (var count = 0; count < _this.text.length; count++) {
                        if (_this.text.length > 1) {
                            a['labelText'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                        }
                        else {
                            a['labelText'] = a[_this.text[count]];
                        }
                    }
                    req_2.push(a);
                });
                this._dataSource = req_2;
            }
            else {
                this.reqService();
            }
        },
        enumerable: true,
        configurable: true
    });
    ;
    SelectComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
        this.randomNumber = 'sbm-select-' + (Math.floor((Math.random() * 100000) + 1));
        this.randomId = 'sbm-generated-' + (Math.floor((Math.random() * 100000) + 1));
    };
    SelectComponent.prototype.reqService = function () {
        var _this = this;
        var me = this;
        if (!this.reqSucess) {
            if (this.dataSource != '' && this.dataSource) {
                // if (this._dataSource.length == 0) {
                this._req.xhrGet(this.dataSource).subscribe(function (ret) {
                    var req = [];
                    ret.res[_this.reqIndexKey].map(function (a) {
                        a['labelText'] = '';
                        for (var count = 0; count < _this.text.length; count++) {
                            if (_this.text.length > 1) {
                                a['labelText'] += a[_this.text[count]] + " " + (_this.text.length == (count + 1) ? '' : _this.textSeparator) + " ";
                            }
                            else {
                                a['labelText'] = a[_this.text[count]];
                            }
                        }
                        req.push(a);
                    });
                    _this._dataSource = req;
                    _this.reqSucess = true;
                    _this._resSucess.emit(req);
                }, function (err) {
                    // $(me._el.nativeElement).find('input').focusout();
                    _this.reqSucess = true;
                    console.error('Ocorreu um erro na chamada do serviço =>', err);
                    _this.errorService = err.res;
                    _this.msgError = "Ocorreu um erro na chamada do serviço";
                    _this.inputValid = false;
                    $(_this._el.nativeElement).find('.error-component').show();
                    $(_this.combobox.nativeElement).addClass('invalid');
                });
                // }
            }
        }
    };
    SelectComponent.prototype.openDrop = function () {
        $(this.combobox.nativeElement).dropdown('open');
        $(this.combobox.nativeElement).removeClass('active');
    };
    SelectComponent.prototype.closeDrop = function () {
        $(this.combobox.nativeElement).dropdown('close');
    };
    SelectComponent.prototype.sendError = function () {
        var _this = this;
        var alert = new alert_component_1.AlertComponent();
        alert.show("#" + this.errorService['status'] + " " + this.errorService['statusText'], "Enviar Erro", 'Deseja reportar este erro?', 'error', true, "não").then(function (ret) {
            if (ret) {
                var error = {
                    servico: _this.errorService['responseURL'],
                    error: _this.errorService['status'],
                    errorText: _this.errorService['statusText'],
                };
            }
        });
    };
    SelectComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            $(_this._el.nativeElement).attr('style', _this.styleCss);
            $(_this.combobox.nativeElement).dropdown({
                // inDuration: 300,
                // outDuration: 225,
                hover: false,
                constrainWidth: true,
                belowOrigin: true,
                alignment: 'right' // Displays dropdown with edge aligned to the left of button
            });
            _this._resSucess.subscribe(function (ret) {
                _this.setValue(_this.value);
            });
            if (typeof _this.value != 'undefined') {
                _this.setValue(_this.value);
            }
        });
    };
    SelectComponent.prototype.actionButtonEmit = function (filter) {
        var a = {
            'filter': filter,
            'url': this.urlButton,
            'id': this.attribute
        };
        this.onActionButtons.emit(a);
        SelectComponent._onActionButtons.emit(a);
    };
    SelectComponent.prototype.itemClicado = function (itemAtual, $event) {
        this.validInput(itemAtual);
        var item = {};
        var itemKeys = Object.keys(itemAtual);
        for (var _i = 0, itemKeys_1 = itemKeys; _i < itemKeys_1.length; _i++) {
            var i = itemKeys_1[_i];
            if (i == 'labelText') {
                // don't show property;
            }
            else {
                item[i] = itemAtual[i];
            }
        }
        $(this.combobox.nativeElement).val(itemAtual['labelText']);
        $("label[for='" + this.randomId + "']").addClass("active");
        this._onClick.emit(itemAtual);
        if (this.valueField != '') {
            this.value = item[this.valueField];
        }
        else {
            this.value = item;
        }
        if (this.onClick != '') {
            window[this.onClick](itemAtual);
        }
    };
    SelectComponent.prototype.validInput = function (retorno) {
        if (this.notnull) {
            if (retorno) {
                if (this.notnull && (JSON.stringify(retorno)).length == 0) {
                    this.inputValid = false;
                    this.msgError = this.validationsMsg['require'];
                }
                else {
                    this.inputValid = true;
                }
            }
            else {
                this.inputValid = false;
                this.msgError = this.validationsMsg['require'];
            }
        }
    };
    SelectComponent.prototype.ngOnDestroy = function () {
        // this.valueSubscribe.unsubscribe();
    };
    return SelectComponent;
}(abstract_ngmodel_1.AbstractNgModel));
SelectComponent._onActionButtons = new core_1.EventEmitter();
SelectComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-select',
                template: "\n        <div class=\"input-field\">\n            <input id=\"{{randomId}}\" [(ngModel)]=\"searchValue\" (blur)=\"closeDrop()\" \n                   (focus)=\"openDrop()\" \n                   class=\"sbm-select-class {{css}}\" \n                   type=\"text\" \n                   \n                   #combobox [attr.data-activates]='randomNumber' \n            [attr.data-value]=\"value | json\" [attr.data-text]=\"text\"/>\n            <label class=\"sbm-input-label\" for=\"{{randomId}}\">{{_label}}</label>\n            <i class=\"material-icons sbm-select-icon\" (click)=\"openDrop($event)\">&#xE313;</i>\n            \n            <i class=\"material-icons error-component\" (click)=\"sendError()\">&#xE000;</i>\n            \n            <span *ngIf=\"!inputValid\" class=\"msgError\">{{msgError}}</span>\n        </div>\n        \n        <span class=\"suffix sbm-select-options\" *ngIf=\"actionButton\">\n            <a class=\"btn btn-floating waves-effect sbm-select-add\" (click)='actionButtonEmit(false)'><i class=\"material-icons\">add</i></a>\n            <a class=\"btn btn-floating waves-effect sbm-select-search\" (click)='actionButtonEmit(true)'><i class=\"material-icons\">search</i></a>\n        </span>\n         \n        \n        <ul id='{{randomNumber}}' class='dropdown-content sbm-select-content-dropdown'>\n            <li *ngFor=\"let item of _dataSource | selectFilter: searchValue\" class=\"collection-item waves-effect waves-light\" (click)=\"itemClicado(item, $event)\">\n                <span class=\"sbm-select-content-span\">\n                    <i class=\"sbm-select-content-dropdpown\" *ngFor=\"let label of text, let i = index\"> {{item[label]}} {{ ( (i+1) != text.length) ? textSeparator : ''}}</i>\n                </span>\n            </li>\n        </ul>\n    ",
                host: {
                    '[class]': 'columns',
                },
                providers: [abstract_ngmodel_1.MakeProvider(SelectComponent)]
            },] },
];
/** @nocollapse */
SelectComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: core_1.ElementRef, },
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
]; };
SelectComponent.propDecorators = {
    'combobox': [{ type: core_1.ViewChild, args: ['combobox',] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'label': [{ type: core_1.Input },],
    'css': [{ type: core_1.Input },],
    'text': [{ type: core_1.Input },],
    'textSeparator': [{ type: core_1.Input },],
    'reqIndexKey': [{ type: core_1.Input },],
    'valueField': [{ type: core_1.Input },],
    'actionButton': [{ type: core_1.Input },],
    'styleCss': [{ type: core_1.Input },],
    'notnull': [{ type: core_1.Input, args: ['require',] },],
    'urlButton': [{ type: core_1.Input },],
    'onClick': [{ type: core_1.Input },],
    'attribute': [{ type: core_1.Input },],
    'columns': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
    '_onClick': [{ type: core_1.Output },],
    'onActionButtons': [{ type: core_1.Output },],
};
exports.SelectComponent = SelectComponent;
