"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
require("rxjs/Rx");
var I18nTranslate = (function () {
    function I18nTranslate() {
    }
    I18nTranslate.prototype.setLanguage = function (idiomaAtual, reqEN, reqFR, reqPT) {
        return new Promise(function (resolve, reject) {
            if (idiomaAtual == 'en') {
                resolve(reqEN);
            }
            else if (idiomaAtual == 'fr') {
                resolve(reqFR);
            }
            else {
                resolve(reqPT);
            }
        });
    };
    I18nTranslate.prototype.getLanguage = function () {
        var i18n = "{\"i18n\": {";
        for (var i = 0; i < localStorage.length; i++) {
            if (localStorage.key(i).indexOf("__SBM-SHARED__/i18n/") > -1) {
                var chave = localStorage.key(i).replace("__SBM-SHARED__/i18n/", "");
                i18n += "\"" + chave + "\": " + JSON.stringify(JSON.parse(localStorage[localStorage.key(i)])[0]) + ",";
            }
        }
        i18n = i18n.substring(0, (i18n.length - 1));
        i18n += "}}";
        return JSON.parse(i18n);
    };
    return I18nTranslate;
}());
I18nTranslate.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
I18nTranslate.ctorParameters = function () { return []; };
exports.I18nTranslate = I18nTranslate;
